package com.lightinit.hsdataportal.spring;

import org.apache.shiro.authc.UsernamePasswordToken;

/**
 * @author WangYao
 * @date 2018/7/1 10:08
 * @description 用户名密码用户类型Token
 */
public class UsernamePasswordUserTypeToken extends UsernamePasswordToken {

    private static final long serialVersionUID = 1L;

    private String userType;

    public String getUserType() {
        return userType;
    }
    public void setUserType(String userType) {
        this.userType = userType;
    }

    public UsernamePasswordUserTypeToken(String loginName, String password, String userType) {
        super(loginName, password);
        this.userType = userType;
    }
}
